campaigns.report
Download the report.
Reference
GET/api/v1/campaigns/{campaign_id}/report
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · any
Download a CSV report of completed campaign runs.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
campaign_id | path | integer | required | |
start_date | query | datetime | optional | Filter runs created on or after this datetime (ISO 8601) |
end_date | query | datetime | optional | Filter runs created on or before this datetime (ISO 8601) |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/campaigns/<campaign_id>/report" \
-H "X-API-Key: dcb_your_key"Response
{}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |